package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;

/**
 * @author higa
 *  
 */
public class InsertBatchAutoStaticCommand extends
		AbstractBatchAutoStaticCommand {

	public InsertBatchAutoStaticCommand(DataSource dataSource,
			BeanMetaData beanMetaData) {

		super(dataSource, beanMetaData);
	}

	protected AbstractAutoHandler createAutoHandler() {
		return new InsertBatchAutoHandler(getDataSource(), getBeanMetaData());
	}
}